Форум русскоязычного сообщества Ubuntu


За новостями русскоязычного сообщества и Ubuntu в целом можно следить на нашей страничке в Google+

Автор Тема: 16.04 и старые репозитории  (Прочитано 3047 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн toxydose

  • Автор темы
  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
16.04 и старые репозитории
« : 07 Июль 2016, 22:07:26 »
как получить доступ к старым репозиториям на ubuntu 16.04? Львиную долю программ не могу установить по гайдам так как при скачивании файлов выдает ошибку 404. Даже если программу и удалось скомпиллировать из скачанных с оф. сайта архивов, то все равно не находит файлы, нужные для установления зависимостей, и других компонентов, которая программа при установке должна тянуть из старых репозиториев. install -f тоже не помогает, либо оно считает что все у меня ок, либо 404

Оффлайн alsoijw

  • Старожил
  • *
  • Сообщений: 4073
  • Fedora 25 GNOME 3 amd64
    • Просмотр профиля
Re: 16.04 и старые репозитории
« Ответ #1 : 07 Июль 2016, 22:12:14 »
toxydose, начнём с названия программы
Мало видеть нам начало - надо видеть и конец. Если видишь ты создание - значит где-то есть ТВОРЕЦ
Многие жалуются: геометрия в жизни не пригодилась. Ямб от хорея им приходится отличать ежедневно?

Оффлайн toxydose

  • Автор темы
  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
Re: 16.04 и старые репозитории
« Ответ #2 : 07 Июль 2016, 22:29:14 »
toxydose, начнём с названия программы
к примеру, мой любимый плеер exaile, котоpый отлично ставился на 14-ю Ubuntu и на 11-ю, а так же проблема из этой темы
https://forum.ubuntu.ru/index.php?topic=279774.0

Пользователь добавил сообщение 07 Июль 2016, 22:39:49:
UPD: еще из последних примеров хотелось бы добавить и hplip где тоже не хватает нескольких зависимостей (вроде что-то связано с pyqt5, но интереса особого эта проблема у меня не вызывает так, как к счастью это не мешает работе принтера так, как основное "мешающее" отсутствие зависимости "сups" я смог устранить
« Последнее редактирование: 07 Июль 2016, 22:41:14 от toxydose »

Оффлайн ALiEN175

  • Старожил
  • *
  • Сообщений: 2200
  • X-9000SC
    • Просмотр профиля
Re: 16.04 и старые репозитории
« Ответ #3 : 07 Июль 2016, 22:58:23 »
toxydose, покажите вывод команды
sudo apt-get update && sudo apt-get install exaile
Благодарности на Yandex 41001488642430. Cпасибо.

Оффлайн toxydose

  • Автор темы
  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
Re: 16.04 и старые репозитории
« Ответ #4 : 07 Июль 2016, 23:03:53 »
toxydose, покажите вывод команды
sudo apt-get update && sudo apt-get install exaile
(Нажмите, чтобы показать/скрыть)

Оффлайн ALiEN175

  • Старожил
  • *
  • Сообщений: 2200
  • X-9000SC
    • Просмотр профиля
Re: 16.04 и старые репозитории
« Ответ #5 : 07 Июль 2016, 23:11:18 »
toxydose,
Поправьте репозитории, они у вас дублируются. К тому же отсутствует universe, где как раз и находится пакет exaile. А вот backports вам абсолютно не нужен
« Последнее редактирование: 07 Июль 2016, 23:12:50 от ALiEN175 »
Благодарности на Yandex 41001488642430. Cпасибо.

Оффлайн toxydose

  • Автор темы
  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
Re: 16.04 и старые репозитории
« Ответ #6 : 07 Июль 2016, 23:13:17 »
toxydose,
Поправьте репозитории, они у вас дублируются. К тому же отсутствует universe, где как раз и находится пакет exaile.
спасибо, сейчас попробую.
почему-то такая проблема и на стационарном компьютере, и на ноутбуке

Пользователь добавил сообщение 07 Июль 2016, 23:19:36:
Univerce у меня есть

(Нажмите, чтобы показать/скрыть)

Пользователь добавил сообщение 07 Июль 2016, 23:36:29:
upd раскомментировал строчки с univerce - не помогло

Пользователь добавил сообщение 08 Июль 2016, 00:12:17:
UPD exaile находится в Ubuntu software и можно его оттуда удалять и устанавливать, только возможно он устанавливается и удаляется с той же ошибкой, что и через командную строку, потому что при запуске его значек появляется в launcher и мигает,а  потом исчезает, то же самое и с Maltego, хотя на ноутбуке он работает.
« Последнее редактирование: 08 Июль 2016, 00:12:17 от toxydose »

Оффлайн maks05

  • Старожил
  • *
  • Сообщений: 6212
    • Просмотр профиля
Re: 16.04 и старые репозитории
« Ответ #7 : 08 Июль 2016, 00:32:33 »
Смените сервер обновлений на основной, а то в .ua, да и в .ru, не всё оказывается вовремя (почему-то).

Но, думаю, вряд ли вы поставите exaile на 16.04, пока, по крайней мере. Нет его ещё для этой системы.
Ppa для разработчиков на Лаунчпаде, считайте, заброшен - там последняя версия для 13.10:
https://launchpad.net/~exaile-devel/+archive/ubuntu/ppa
От WebUpd8 есть репозиторий для 14.04 и 14.10, но не выше:
http://ubuntuhandbook.org/index.php/2014/11/install-exaile-music-player-ubuntu-1404/

Для 16.04 пока не видно.
« Последнее редактирование: 08 Июль 2016, 13:12:46 от maks05 »

Оффлайн toxydose

  • Автор темы
  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
Re: 16.04 и старые репозитории
« Ответ #8 : 08 Июль 2016, 01:05:05 »
Смените сервер обновлений на основной, а .ua, да и в .ru, не всё оказывается вовремя (почему-то).

Но, думаю, вряд ли вы поставите exaile на 16.04, пока, по крайней мере. Нет его ещё для этой системы.
Ppa для разработчиков на Лаунчпаде, считайте, заброшен - там последняя версия для 13.10:
https://launchpad.net/~exaile-devel/+archive/ubuntu/ppa
От WebUpd8 есть репозиторий для 14.04 и 14.10, но не выше:
http://ubuntuhandbook.org/index.php/2014/11/install-exaile-music-player-ubuntu-1404/

Для 16.04 пока не видно.
c 1 ccылки я качал исходный код, установил его, он виден в списке установленных программ, но при запуске он появляется в лаунчпаде, а потом ищезает
интересно, что в Ubuntu software он отобразился как установленный, но ни удалить ни установить я его не могу, а вот ubuntu software center находит его в списке доступных программ, но установить его нельзя, при нажатии на кнопки вообще ничего не происходит

(Нажмите, чтобы показать/скрыть)

( со 2 ссылки попробовал только что

(Нажмите, чтобы показать/скрыть)

судя по всему не судьба на 16.04 юзать, как и многие другие программы, как и бекдоры для вайфай драйверов(( очень печально. В половине мануалов по устранению возникающих у меня ошибок в софте та же самая проблема отсутствия файлов в репозиториях

немного не понял на счет "Смените сервер обновлений на основной, а .ua, да и в .ru, не всё оказывается вовремя", можно подробнее пожалуйста?

З.Ы. с Maltego все решилось проще, я совсем забыл что на стационарник я еще не поставил JDK, вот оно и работало на ноуте, а тут нет

З.З.Ы посоветуйте пожалуйста другой толковый плеер, работающий на 16.04, который был бы удобен, читал все кодировки и мог бы тянуть аудио из контакта. Я конечно могу 100 разных аддонов и программ поставить для всех этих целей, но exaile был универсален, сами понимаете, не хочется мусорить в системе
« Последнее редактирование: 08 Июль 2016, 01:07:26 от toxydose »

Оффлайн maks05

  • Старожил
  • *
  • Сообщений: 6212
    • Просмотр профиля
Re: 16.04 и старые репозитории
« Ответ #9 : 08 Июль 2016, 02:28:43 »
toxydose, ну, давайте по порядку, начиная с мелочи, заканчивая принципиальными вещами:

1) Вы, видимо, имели ввиду, что программа после установки появляется в Лаунчере (Launcher) - в "Панели запуска". А Лаунчапад (Launchpad) - это сайт разработчиков ПО. Понятно, что вы просто ошиблись, но термины лучше употреблять правильно.

2) А вот теперь принципиально: зачем вы всё это поустанавливали? Я привёл ссылки только для доказательства своих слов. Вам надо было посмотреть и убедиться, что нет для 16.04, и успокоиться. Но вы втянули к себе в систему неподходящие репозитории, которые теперь надо удалять,  а как тут удалять программу,я уже не знаю. Лучше, наверное, через Synaptic, с фильтром по названию программы и "полным удалением". Но есть риск, что утянет лишнего, мало ли что там с зависимостями. А потом ещё подчистить, через
sudo apt-get autoremovesudo apt-get cleanи, на всякий случай
sudo apt-get install -fИ пожалуйста, больше не подключайте ненужных репозиториев: это гораздо хуже, чем "захламить", как вы выразились, ста программами, но точно работающими.
И да, для 16.04 ещё мало программ, не обновили разработчики репозитории, не подобрали нужных зависимостей. А куда спешить - у нынешних LTS - 5 лет поддержки, да и система сама всё ещё в стадии становления.
Что же касается Exaile, то предлагаю забыть: судя по всему, разработчики его забросили. Ну, может на WebUpd8 кто возьмётся, вы их новости почитывайте. Но пока не будет репозиториев с версией stable - лучше не ставьте.

3) Про смену сервера обновлений читайте здесь (первая же картинка):
http://help.ubuntu.ru/wiki/руководство_по_ubuntu_desktop_14_04/менеджер_обновлений
Так же, проставьте в этой вкладке все указанные галочки (кроме "исходного кода" и "компакт-диска", естественно).
На следующей картинке (вкладка "Другое ПО") проставьте все четыре галочки - пригодиться. Там же удалите не нужные (в вашем случае - неправильные) репозитории.
Дальше будет про то, как подключать репозитории с Launchpad.
Но вот следующая картинка для вас актуальнее: в разделе "Управление обновлениями" на скриншоте показана вкладка "Обновления". Проставьте галочки, как там указано. Все пояснения там - же.

4) У меня 14.04. Плюс KDE. Я давно наэкспериментировался и предпочитаю стабильные версии, а 16.04 пока не допилили, да и программ пока мало. Подожду.
Да и "толковый" плеер для каждого свой. Любимый вами Exaile основан на Amarok из KDE и наиболее к нему близок по функционалу. Но вот лично я Amarok совсем не люблю - для меня он слишком навороченный и не логичный. Я, в своё время, пользовался Audacious, а сейчас запускаю всё через SMPlayer- в KDE это удобней.
Так что выбирайте сами. Ну и воспользуйтесь поиском по сайту: время от времени возникают темы "какой плеер выбрать". Может быть, что пригодиться. Но только если он есть под 16.04, естественно.



« Последнее редактирование: 08 Июль 2016, 02:39:42 от maks05 »

Оффлайн toxydose

  • Автор темы
  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
Re: 16.04 и старые репозитории
« Ответ #10 : 08 Июль 2016, 12:32:11 »
Спасибо за ответ! как добавлять-удалять pепозитоpии я то знаю, и чистку зависимостей тоже смогу сделать, но вот с некотоpыми нюансами вы помогли

toxydose, ну, давайте по порядку, начиная с мелочи, заканчивая принципиальными вещами:

1) Вы, видимо, имели ввиду, что программа после установки появляется в Лаунчере (Launcher) - в "Панели запуска". А Лаунчапад (Launchpad) - это сайт разработчиков ПО. Понятно, что вы просто ошиблись, но термины лучше употреблять правильно.
извините это лишь опечатка) выше в посте я написал пpавильно)

А вот теперь принципиально: зачем вы всё это поустанавливали?
я установил в надежде "авось пpокатит" так, как было много заявлений пpо кpоссплатфоpменность. Многие утилиты pаботают таким обpазом, я ничем не pисковал, в случае чего я знаю как пользоваться синаптиком и чистить непpавильные зависимости

ладно, буду чистить все это спасибо за советы, жаль пpоги из стаpых pепозитоpиев не все pаботают

Оффлайн maks05

  • Старожил
  • *
  • Сообщений: 6212
    • Просмотр профиля
Re: 16.04 и старые репозитории
« Ответ #11 : 08 Июль 2016, 13:10:21 »
toxydose, кроссплатформенность - это когда программа работает на принципиально различных ОС: Windоws и Linux, например. Программа даже не обязана работать на всех Linux-дистрибутивах - их слишком много и компиляция под конкретный дистрибутив остаётся на совести разработчика. Тем более под это понятие не подпадают различные версии Ubuntu - каждый разработчик сам решает, для каких версий ОС он будет делать свою программу: часто программы собираются только для LTS-версий.

Рабочие проги из старых репозиториев - это, скорее, исключение из правил. Вы сами в этом только что убедились - даже если и устанавливается, то не запускается - нет нужных зависимостей, иногда изменены пути в новых ОС, которые старые программы не знают и т.д. Для этого и существуют различные репозитории - специально под каждую версию ОС - что бы точно работало.

Но, да, вечный славянский "авось" - неискореним.  :)
Удачи вам в очистки системы и в поиске нового любимого плеера.

Оффлайн toxydose

  • Автор темы
  • Новичок
  • *
  • Сообщений: 34
    • Просмотр профиля
Re: 16.04 и старые репозитории
« Ответ #12 : 08 Июль 2016, 16:02:40 »

Но, да, вечный славянский "авось" - неискореним.  :)
Удачи вам в очистки системы и в поиске нового любимого плеера.


спасибо за ценные советы и пожелания)

Пользователь добавил сообщение 08 Июль 2016, 16:06:15:
UPDпока что остановился на DeadBeef (легкость, погддеpжка кодиpовок и лослесс фоpматов), а для скачивания из контакта pасшиpение MusicSig. В дед бифе есть еще поддеpжка плагинов, возможно смогу найти нужный для вк.
« Последнее редактирование: 08 Июль 2016, 16:06:15 от toxydose »

 

Страница сгенерирована за 0.07 секунд. Запросов: 24.